%define realname tolua
%define sover 5
Name: %realname%sover
Version: 5.0
Release: alt2a

Summary: Tolua is a tool that simplifies the integration of C/C++ code with Lua
Group: Development/Other
License: Public Domain

Url: http://www.tecgraf.puc-rio.br/~celes/tolua/
# ftp://ftp.tecgraf.puc-rio.br/pub/users/celes/tolua/
Source0: %realname-%version.tar.bz2

Requires: lib%name = %version-%release, lib%name-devel = %version
Provides: tolua = %version
Obsoletes: tolua
Conflicts: tolua4

# Automatically added by buildreq on Tue Sep 16 2003
BuildRequires: liblua5-devel

%package -n lib%name
Summary: Tolua shared library
Group: System/Libraries
License: Public Domain
Provides: lib%realname = %version
Obsoletes: lib%realname

%package -n lib%name-devel
Summary: Tolua header files
Group: Development/Other
License: Public Domain
Requires: liblua%sover-devel
Requires: lib%name = %version-%release
Provides: %realname-devel = %version, lib%realname-devel = %version
Obsoletes: %realname-devel, lib%realname-devel
Conflicts: libtolua4-devel

%package -n lib%name-devel-static
Summary: Tolua static library
Group: Development/Other
License: Public Domain
Requires: lib%name-devel = %version-%release
Provides: %realname-devel-static = %version, lib%realname-devel-static = %version
Obsoletes: %realname-devel-static, lib%realname-devel-static
Conflicts: libtolua4-devel-static

%description
Tolua is a tool that greatly simplifies the integration of C/C++ code with Lua.
Based on a "cleaned" header file, tolua automatically generates
the binding code to access C/C++ features from Lua. Using Lua-4.0 API and
tag method facilities, the current version automatically maps C/C++
constants, external variables, functions, classes, and methods to Lua.

%description -n lib%name
Tolua is a tool that simplifies the integration of C/C++ code with Lua.
This package contains tolua runtime shared library.

%description -n lib%name-devel
Tolua is a tool that simplifies the integration of C/C++ code with Lua.
This package contains tolua header file for C/C++ programs.

%description -n lib%name-devel-static
Tolua is a tool that simplifies the integration of C/C++ code with Lua.
This package contains static library one may need for static embedment.

%prep
%setup -q -n %realname-%version

%build
: custom build
DEST=$PWD/ready
%__mkdir_p $DEST

CFLAGS="-I$PWD/include -D_GNU_SOURCE=1"

: static libraries
cd ./src/lib
gcc $CFLAGS %optflags -c *.c
ar rcu $DEST/lib%realname.a *.o
ranlib $DEST/lib%realname.a

: dynamic libraries
gcc $CFLAGS %optflags %optflags_shared -c *.c
ld -o $DEST/lib%realname.so.%sover -soname=lib%realname.so.%sover -shared -O1 -lc *.o
ln -s lib%realname.so.%sover $DEST/lib%realname.so

: executable
cd ../bin
gcc $CFLAGS %optflags -o $DEST/%realname -L$DEST -l%realname -llua -llualib -lm *.c

%install
%__mkdir_p %buildroot{%_bindir,%_includedir,%_libdir,%_man1dir,%_datadir/%realname}
%__cp -a ready/%realname	%buildroot%_bindir/
%__cp -a ready/lib*		%buildroot%_libdir/
%__cp -a include/*.h		%buildroot%_includedir/
%__cp -a src/bin/lua/*.lua	%buildroot%_datadir/%realname/
%__cp -a src/tests		%buildroot%_datadir/%realname/

%define _customdocdir %_docdir/%realname-%version

%files
%doc doc/*
%_bindir/%realname
%_datadir/%realname

%files -n lib%name
%doc README
%_libdir/lib%realname.so.%sover

%files -n lib%name-devel
%_includedir/%realname.h
%_libdir/lib%realname.so

%files -n lib%name-devel-static
%_libdir/lib%realname.a

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%changelog
* Tue Sep 16 2003 Alexey Tourbin <at@altlinux.ru> 5.0-alt2a
- split into packages: %name, lib%name, lib%name-devel, lib%name-devel-static

* Sun Aug 24 2003 Alexey Tourbin <at@altlinux.ru> 5.0-alt1a
- initial revision (based on tolua4-4.0-alt4)
